プレイグラウンド
入力
Scene description: subject, action, camera movement, dialogue and sound
Keyframes for image-to-video, in playback order. One image is the start frame, two are start + end, three or more are spread evenly across the clip
Source video (mp4) to continue. Continuation is billed at a higher per-second rate and cannot be combined with imageUrls
実行すると残高から料金が引き落とされます。
出力
出力はここに表示されます。
料金
| オプション | 秒あたりの価格 |
|---|---|
| Draft: yes · Mode: generate · Resolution: 720p | $0.06 |
| Draft: yes · Mode: extend · Resolution: 720p | $0.12 |
| Draft: no · Mode: generate · Resolution: 720p | $0.17 |
| Draft: no · Mode: generate · Resolution: 1080p | $0.29 |
| Draft: no · Mode: extend · Resolution: 720p | $0.41 |
| Draft: no · Mode: extend · Resolution: 1080p | $0.53 |
クイックスタート
完全なAPIリファレンス →1curl -X POST https://api.api-stock.com/api/v1/generation/create \2 -H "Authorization: Bearer $API_STOCK_KEY" \3 -H "Content-Type: application/json" \4 -d '{5 "model": "flux-3-video",6 "input": {7 "prompt": "夕暮れ時の都市を映した映画のワンシーン",8 "resolution": "720p",9 "duration": 5,10 "aspectRatio": "auto",11 "draft": false,12 "safetyTolerance": 213 }14 }'
パラメータ
| 名前 | 型 | 必須 | デフォルト | 説明 |
|---|---|---|---|---|
prompt | string | はい | — | Scene description: subject, action, camera movement, dialogue and sound |
resolution | string | いいえ | 720p | Video resolution (affects pricing). Draft mode supports 720p onlyいずれか: 720p, 1080p |
duration | number | いいえ | 5 | Video duration in seconds (5-20). Billed per second |
aspectRatio | string | いいえ | auto | Video aspect ratio. `auto` lets the model choose from the prompt and input framesいずれか: auto, 21:9, 2:1, 16:9, 4:3, 1:1, 3:4, 9:16 |
imageUrls | string[] | いいえ | — | Keyframes for image-to-video, in playback order. One image is the start frame, two are start + end, three or more are spread evenly across the clip |
videoUrl | string | いいえ | — | Source video (mp4) to continue. Continuation is billed at a higher per-second rate and cannot be combined with imageUrls |
draft | boolean | いいえ | false | Draft mode: a fast, low-quality 720p preview at about a third of the price |
safetyTolerance | number | いいえ | 2 | Moderation tolerance from 0 (strictest) to 4 (most permissive) |
よくある質問
FLUX 3 Video の料金はいくらですか?
FLUX 3 VideoはAPI Stock API経由で$0.06 出力1秒あたりから利用できます。料金は1つの前払い残高から利用した分だけ支払う従量制で、サブスクリプションはありません。最終的な価格は、解像度や長さなどのパラメータに応じて変わります。
FLUX 3 Video の API キーはどうやって取得しますか?
API Stock に登録し、任意の金額を残高にチャージして、ダッシュボードで API キーを作成するだけです。数分で完了し、契約は不要です。同じキーでカタログのすべてのモデルを利用できるため、FLUX 3 Video 専用のキーを取得する必要はありません。
FLUX 3 Video APIはどのように呼び出せますか?
https://api.api-stock.com/api/v1/generation/create に、APIキーとモデルID「flux-3-video」を指定してPOSTリクエストを送信します。リクエストの結果として、ポーリングするタスクIDが返されるか、結果の準備ができた時点でWebhookコールバックが送信されます。上記のクイックスタートにすぐ実行できる例があります。
FLUX 3 Videoはどのような入力パラメータを受け付けますか?
FLUX 3 Videoは8個の入力パラメータ(必須フィールドpromptを含む)を受け付けます。種類、デフォルト値、指定可能な値は上記のパラメータ表に記載されています。
FLUX 3 Videoのリクエストに失敗するとどうなりますか?
API Stockは予備プロバイダーでリクエストを自動的に再試行します。すべてのプロバイダーで失敗した場合、請求額は残高に返金されます。
FLUX 3 Videoは他のモデルと同じAPIキーで利用できますか?
はい。API Stockのすべてのモデル(動画、画像、音楽、チャット)は1つのAPIキーと1つの前払い残高を共有しているため、新しい認証情報なしでFLUX 3 Videoに切り替えられます。